summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--README.org16
-rw-r--r--games-emulation/dosbox-x/Manifest1
-rw-r--r--games-emulation/dosbox-x/dosbox-x-9999.ebuild58
-rw-r--r--games-fps/crispy-doom/Manifest1
-rw-r--r--games-fps/crispy-doom/crispy-doom-9999.ebuild58
-rw-r--r--metadata/layout.conf2
-rw-r--r--profiles/repo_name1
7 files changed, 137 insertions, 0 deletions
diff --git a/README.org b/README.org
new file mode 100644
index 0000000..05da233
--- /dev/null
+++ b/README.org
@@ -0,0 +1,16 @@
+#+TITLE: README for jakobs-repo
+#+AUTHOR: Jakob L. Kreuze
+#+EMAIL: zerodaysfordays@sdf.lonestar.org
+#+DATE: 2018-10-13
+#+UPDATE: 08:35:07
+#+STARTUP: content
+
+* 1. What's this?
+
+A collection of ebuilds, either packaging software too obscure for me to find in
+other overlays, or modifying less-than-ideals in the upstream ebuild repository.
+
+** 1.1 Software Packaged Here
+
+- [[https://github.com/fabiangreffrath/crispy-doom][crispy-doom]] as games-fps/crispy-doom
+- [[https://github.com/joncampbell123/dosbox-x][dosbox-x]] as games-emulation/dosbox-x
diff --git a/games-emulation/dosbox-x/Manifest b/games-emulation/dosbox-x/Manifest
new file mode 100644
index 0000000..4a7eba9
--- /dev/null
+++ b/games-emulation/dosbox-x/Manifest
@@ -0,0 +1 @@
+EBUILD dosbox-x-9999.ebuild 1607 BLAKE2B 76cb67c329872ba6d33f0bbbaaad8c276ee7abb6e1564325ff12b74e3f80dfd98c2053d1b19f8cb92acc159e8c6a5aee3d418178b1773c0a7313b8baa283fb4b SHA512 56646d09b03d10f3df20fd1514efd4307e87eeae569640d106f3f36bb4367ea2cb1ceb0721bd827591039965b534b0a9aaead1863dd17d0e26a355d259d29a07
diff --git a/games-emulation/dosbox-x/dosbox-x-9999.ebuild b/games-emulation/dosbox-x/dosbox-x-9999.ebuild
new file mode 100644
index 0000000..46d4e49
--- /dev/null
+++ b/games-emulation/dosbox-x/dosbox-x-9999.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools flag-o-matic git-r3
+
+DESCRIPTION="x86 emulator with builtin DOS, with patches with more features"
+HOMEPAGE="http://dosbox-x.com/"
+EGIT_REPO_URI="https://github.com/joncampbell123/dosbox-x.git"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
+IUSE="alsa debug glide hardened ffmpeg opengl"
+
+DEPEND="alsa? ( media-libs/alsa-lib )
+ ffmpeg? ( media-video/ffmpeg )
+ opengl? ( virtual/glu virtual/opengl )
+ debug? ( sys-libs/ncurses:0 )
+ media-libs/libpng
+ media-libs/libsdl[joystick,video,X]
+ media-libs/sdl-net
+ media-libs/sdl-sound"
+# glide? ( media-libs/openglide )
+
+RDEPEND=${DEPEND}
+
+if [[ ${PV} = 9999 ]]; then
+ S=${WORKDIR}/dosbox-x-9999
+fi
+
+src_compile() {
+ # Stolen from https://aur.archlinux.org/packages/dosbox-x-git/
+ sed -i 's/CODEC_FLAG2_FAST/AV_CODEC_FLAG2_FAST/g' src/hardware/hardware.cpp
+
+ ./autogen.sh || exit 1
+ chmod +x vs2015/sdl/build-scripts/strip_fPIC.sh
+
+ # Prefer to compile against the internal copy of SDL 1.x
+ echo Compiling our internal SDL 1.x
+ (cd vs2015/sdl && ./build-dosbox.sh) || exit 1
+
+ echo Compiling DOSBox-X
+ chmod +x configure
+ econf \
+ $(use_enable alsa alsa-midi) \
+ $(use_enable ffmpeg avcodec) \
+ $(use_enable !hardened dynamic-core) \
+ $(use_enable !hardened dynamic-x86) \
+ $(use_enable debug) \
+ $(use_enable opengl)
+ emake
+}
+
+# src_install() {
+# make DESTDIR="$D" install
+# }
diff --git a/games-fps/crispy-doom/Manifest b/games-fps/crispy-doom/Manifest
new file mode 100644
index 0000000..ec65e12
--- /dev/null
+++ b/games-fps/crispy-doom/Manifest
@@ -0,0 +1 @@
+EBUILD crispy-doom-9999.ebuild 1348 BLAKE2B d7248239300d78b7c1a2acb468d4d619af0597dcbb29df05e203eafa608fb8d881811b9df3fe0db5b076140fca77bf373b2b85c34f82d3490aa963420b6fd505 SHA512 05b466502373d642adba4dd88c9ea83663941cb845da0e3ff11b96a43e93e4dd7ad49942cfdd46e73822278cb3b2057d7d8740bd6433def9ba021a515e739cf4
diff --git a/games-fps/crispy-doom/crispy-doom-9999.ebuild b/games-fps/crispy-doom/crispy-doom-9999.ebuild
new file mode 100644
index 0000000..5a87fb7
--- /dev/null
+++ b/games-fps/crispy-doom/crispy-doom-9999.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+EGIT_REPO_URI="https://github.com/fabiangreffrath/crispy-doom"
+
+inherit eutils autotools git-r3
+
+DESCRIPTION="Limit-raising medium-resolution Doom source port based on Chocolate Doom"
+HOMEPAGE="http://fabiangreffrath.github.io/crispy-doom"
+
+LICENSE="GPL-2"
+SLOT="0"
+
+RDEPEND="media-libs/libsamplerate
+ media-libs/libsdl2
+ media-libs/sdl2-mixer
+ media-libs/sdl2-net"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ eautoreconf
+ default
+}
+
+src_install() {
+ dobin src/crispy-doom
+ dobin src/crispy-setup
+ dobin src/crispy-server
+ dobin src/crispy-doom-setup
+
+ doman man/crispy-doom.6
+ doman man/crispy-doom-setup.6
+
+ doman man/default.cfg.5
+ doman man/crispy-doom.cfg.5
+
+ # local opt game game_full
+ # for opt in "doom Doom" \
+ # "heretic Heretic" \
+ # "strife Strife" \
+ # "hexen Hexen"
+
+ # if use server ; then
+ # dogamesbin src/chocolate-server
+ # doman man/chocolate-server.6
+ # fi
+
+ # domenu src/${PN}-screensaver.desktop
+ dodoc AUTHORS ChangeLog HACKING.md NEWS.md NOT-BUGS.md README* TODO.md
+}
+
+pkg_postinst() {
+ einfo
+ einfo "To configure game options run: chocolate-setup"
+ einfo
+}
diff --git a/metadata/layout.conf b/metadata/layout.conf
new file mode 100644
index 0000000..2835039
--- /dev/null
+++ b/metadata/layout.conf
@@ -0,0 +1,2 @@
+repo-name = jakobs-repo
+masters = gentoo
diff --git a/profiles/repo_name b/profiles/repo_name
new file mode 100644
index 0000000..97658e9
--- /dev/null
+++ b/profiles/repo_name
@@ -0,0 +1 @@
+jakobs-repo